// nova-tourism/pages/my/merchant/good/good-edit/index.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    edit_field_map: {
      // isRecom:{
      //   isHide:true,//是否隐藏 - 此项非DevRouter编辑
      //   disabled: true,//禁止编辑
      //   required: true,//必填项
      //   default:true,//默认值
      // },
      isRecom: {
        isHide: true
      },
      isHome: {
        isHide: true
      },
      name: {
        default: '杯子杯子'
      },
      status: {
        disabled: true
      },
      shopStore:{
        disabled: true,
      }
    }, //设置默认编辑对象
    isShow:false
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    let store = wx.getStorageSync('store')
    let {edit_field_map}=this.data
    edit_field_map.shopStore['default']={__type:'Pointer',className:'ShopStore',objectId:store?.objectId}
    console.log(options)
    let {gid} = this.options
    this.setData({gid,edit_field_map})
    console.log(this.data.gid)
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})